Get All Issues Of A Company
GET/api/v5/enterprises/:enterprise/issues
Request
Path Parameters
The path of the enterprise (path/login)
Query Parameters
User authorization code
Issue state: open, closed, all. Default: open.
A comma-separated list of labels. Such as: bug, performance
Sorting criterion: creation time (created), update time (updated_at). Default: created_at
Sort order: asc for ascending, desc for descending. Default: desc
The start update time, with the time format required to be ISO 8601.
The current page number
The number of items per page, with a maximum of 100. The default is 20.
Based on the milestone title. "none" for those without any milestones, "*" for all with milestones.
The user's username. "none" represents no assignee, and "*" represents all assignees.
The username of the user who creates the Issues
Project name to which the item belongs. "none" represents items that do not belong to any project, and "*" represents items that belong to all projects.
Task Creation Date, format: YYYY-MM-DD
Task creation deadline, format YYYY-MM-DD
Search for issue by keyword in title or content
Whether to perform an exact query count, default false
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- Array [
- ]
- ]
user objectrequired
repository objectrequired
assigner objectrequired
labels object[]required
label added time
issue_state_detail objectrequired
issue_type_detail objectrequired
issue_priority_detail object
Issue Priority
milestone object
assignee objectrequired
Visibility, public: publicly visible, confidential: confidential, visible to project members, other: visible to project members due to other reasons
[
{
"id": 0,
"html_url": "string",
"number": "string",
"state": "string",
"title": "string",
"body": "string",
"user": {
"id": "string",
"login": "string",
"name": "string"
},
"repository": {
"id": 0,
"full_name": "string",
"human_name": "string",
"path": "string",
"name": "string",
"url": "string",
"assigner": {},
"paas": "string"
},
"created_at": "string",
"updated_at": "string",
"finished_at": "string",
"deadline": "string",
"labels": [
{
"id": 0,
"name": "string",
"color": "string",
"created_at": "string",
"updated_at": "string"
}
],
"issue_state": "string",
"comments": 0,
"priority": 0,
"issue_type": "string",
"issue_state_detail": {
"title": "string",
"serial": 0,
"id": 0
},
"issue_type_detail": {
"title": "string",
"id": 0,
"is_system": true
},
"issue_priority_detail": {
"id": "string",
"title": "string"
},
"parent_id": 0,
"milestone": {
"created_at": "string",
"description": "string",
"due_on": "string",
"html_url": "string",
"number": 0,
"repository_id": 0,
"state": "string",
"title": "string",
"updated_at": "string",
"url": "string"
},
"url": "string",
"repository_url": "string",
"assignee": {
"avatar_url": "string",
"html_url": "string",
"id": "string",
"login": "string",
"name": "string",
"type": "string"
},
"visibility_reason": "string"
}
]
{
"id": 340035,
"html_url": "https://gitcode.com/xiaogang_test/test222/issues/7",
"number": "7",
"state": "open",
"title": "2222",
"body": "2222",
"user": {
"id": "65f96506b3a9e65264980447",
"login": "xiaogang",
"name": "xiaogang"
},
"repository": {
"id": 249609,
"full_name": "xiaogang_test/test222",
"human_name": "test organization / test222",
"path": "test222",
"name": "test222",
"url": "https://gitcode.com/xiaogang_test/test222",
"assigner": {},
"paas": ""
},
"created_at": "2024-11-20T15:40:35+08:00",
"updated_at": "2024-11-20T15:40:35+08:00",
"labels": [],
"issue_state": "Undelivered",
"priority": 0,
"issue_type": "requirement",
"issue_state_detail": {
"title": "Undelivered",
"serial": 1,
"id": 222
},
"issue_type_detail": {
"title": "requirement",
"id": 629,
"is_system": false
},
"comments": 0,
"parent_id": 0,
"url": "https://gitcode.com/api/v5/repos/xiaogang_test/test222/issues/7"
}